<?php 
//Bottom Header
    $wp_customize->add_section( 'chargingstation_footer_setting' , array(
        'title'    => __( 'Footer Setting', 'chargingstation-premium' ),
        'priority' => null,
        'panel' => 'chargingstation_header_panel1'
    ) );

$wp_customize->add_setting('chargingstation_reset_footer_settings',array(
  'sanitize_callback'   => 'sanitize_text_field'
));
$wp_customize->add_control(new chargingstation_Reset_Custom_Control($wp_customize, 'chargingstation_reset_footer_settings',array(
  'type' => 'reset_control',
   'priority' => 1,
  'label' => __('Reset Footer Settings', 'chargingstation'),
  'description' => 'chargingstation_footer_reset_settings',
  'section' => 'chargingstation_footer_setting'
)));


   $wp_customize->add_setting('chargingstation_footer_nav', array(
       'sanitize_callback' => 'wp_kses_post',
    ));

    $wp_customize->add_control(new chargingstation_Tab_Control($wp_customize, 'chargingstation_footer_nav', array(
       'section' => 'chargingstation_footer_setting',
       'priority' => 1,
       'buttons' => array(
          array(
             'name' => esc_html__('General', 'chargingstation-premium'),
            'icon' => 'dashicons dashicons-welcome-write-blog',
            'fields' => array(
                'chargingstation_footer_copyrighttext',
                'chargingstation_footer_termcondition',
            ),
            'active' => true,
         ),
          array(
            'name' => esc_html__('Style', 'chargingstation-premium'),
            'icon' => 'dashicons dashicons-art',
            'fields' => array(                      
                 'chargingstation_footer_section_bg_color',
                'chargingstation_footer_section_bg_image',
                'chargingstation_footer_image_opacity',
                'chargingstation_footer_box_align', 
                'chargingstation_footer_copyright_align',   
                'chargingstation_footer_termcondition_align',
                'chargingstation_footer_onload_effects',  
                'chargingstation_footer_heading_color',
                'chargingstation_footer_text_color',
                'chargingstation_footer_copyrighttext_color',
                'chargingstation_footer_icon_color',
                'chargingstation_footer_sicon_color',
                'chargingstation_footer_siconhover_color',
                'chargingstation_footer_siconbg_color',
                'chargingstation_footer_hglightsctext_color',
                'chargingstation_footer_menu_color',
                'chargingstation_footer_menuhover_color',
                'chargingstation_footer_activemenu_color',
                'chargingstation_footer_datext_color',
                'chargingstation_footer_tableborder_color',
                'chargingstation_footer_formtext_color',
                'chargingstation_footer_formtextlabel_color',
                'chargingstation_footer_formbuttontext_color',
                'chargingstation_footerbutton_border_color',
                'chargingstation_footer_otherfbgs_color'
            ),
         ),
          array(
            'name' => esc_html__('Layout', 'chargingstation-premium'),
            'icon' => 'dashicons dashicons-layout',
            'fields' => array(
                'chargingstation_footer_padding',
                'chargingstation_footer_section_top_t_padding',
                'chargingstation_footer_section_top_b_padding',
                'chargingstation_footer_padding1',
                'chargingstation_footer_section_bottom_t_padding',
                'chargingstation_footer_section_bottom_b_padding',     
                'chargingstation_footer_section_width'
            ),
         )
        ),
    )));

$wp_customize->add_setting(
    'chargingstation_footer_copyrighttext',
    array(
        'sanitize_callback' => 'chargingstation_sanitize_text',
        'default'           => __( '© 2021 Business All Rights Reserved', 'chargingstation' )
    )
);
$wp_customize->add_control(
    'chargingstation_footer_copyrighttext',
    array(
        'settings'      => 'chargingstation_footer_copyrighttext',
        'section'       => 'chargingstation_footer_setting', 
        'type'          => 'text',
        'label'         => __( 'Copyright', 'chargingstation' ),
        'input_attrs' => array(
            'readonly' => 'readonly',
        ),
    )
);

$wp_customize->add_setting(
    'chargingstation_footer_termcondition',
    array(
        'sanitize_callback' => 'chargingstation_sanitize_text',
        'default'           => __( 'Terms & Conditions Privacy Policy', 'chargingstation' )
    )
);
$wp_customize->add_control(
    'chargingstation_footer_termcondition',
    array(
        'settings'      => 'chargingstation_footer_termcondition',
        'section'       => 'chargingstation_footer_setting', 
        'type'          => 'textarea',
        'label'         => __( 'Terms', 'chargingstation' )
    )
);

//backgroundManager($wp_customize, 'footer', 'chargingstation_footer_setting', $color='#fff', get_template_directory_uri().'/images/default-gray.png', 'img');

$wp_customize->add_setting( 'chargingstation_footer_section_bg_color', array(
       'default' => '',
       'sanitize_callback' => 'sanitize_hex_color'
    ));
    $wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'chargingstation_footer_section_bg_color', array(
        'label' => __('Background Color','chargingstation'),
       'section' => 'chargingstation_footer_setting',
    )));

    $wp_customize->add_setting( 'chargingstation_footer_section_bg_image', array(
       'default' => '',
       'sanitize_callback' => 'esc_url_raw'
    ));
    $wp_customize->add_control( new WP_Customize_Image_Control( $wp_customize, 'chargingstation_footer_section_bg_image', array(
        'label' => __('Section Background Image','chargingstation'),
       'section' => 'chargingstation_footer_setting',
    )));


     $wp_customize->add_setting('chargingstation_footer_image_opacity',array(
        'default' => 1,
        'sanitize_callback' => 'chargingstation_sanitize_float'
    ));
    $wp_customize->add_control(new chargingstation_Custom_Control( $wp_customize, 'chargingstation_footer_image_opacity',array(
    'label' => __('Background Opacity','chargingstation'),
    'section' => 'chargingstation_footer_setting',
    'input_attrs' => array(
            'min' => 0,
            'max' => 1,
            'step' => 0.1,
        ),
    )));

  $wp_customize->add_setting('chargingstation_footer_onload_effects',array(
        'default' => 'zoom-in',
        'sanitize_callback' => 'chargingstation_sanitize_choices',
    ));
    $wp_customize->add_control('chargingstation_footer_onload_effects',array(
        'type' => 'select',
        'label' => __('Section Onload Transition Effects','chargingstation'),
        'choices' => array (
            'wow bounceInLeft' => __('Bounce In Left','chargingstation'),
            'wow bounceInRight' => __('Bounce In Right','chargingstation'),
            'wow bounceInUp' => __('Bounce In Up','chargingstation'),
            'wow bounceInDown' => __('Bounce In Down','chargingstation'),
            'wow zoomIn' => __('Zoom In','chargingstation'),
            'wow zoomOut' => __('Zoom Out','chargingstation'),
            'wow fadeInDown' => __('Fade In Down','chargingstation'),            
            'wow fadeInUp' => __('Fade In Up','chargingstation'),
            'wow fadeInLeft' => __('Fade In Left','chargingstation'),
            'wow fadeInRight' => __('Fade In Right','chargingstation'),
            'flip-up' => __('Flip Up','chargingstation')
        ),
        'section' => 'chargingstation_footer_setting',
    ));

$wp_customize->add_setting('chargingstation_footer_box_align',array(
        'default' => 'Left',
        'sanitize_callback' => 'chargingstation_sanitize_choices',
    ));
    $wp_customize->add_control('chargingstation_footer_box_align',array(
        'type' => 'select',
        'label' => __('Content Box Alignment','chargingstation'),
        'choices' => array (
            'Center' => __('Center','chargingstation'),
            'Left' => __('Left','chargingstation'),
            'Right' => __('Right','chargingstation')
        ),
        'section' => 'chargingstation_footer_setting',
    ));

       $wp_customize->add_setting('chargingstation_footer_copyright_align',array(
        'default' => 'Right',
        'sanitize_callback' => 'chargingstation_sanitize_choices',
    ));
    $wp_customize->add_control('chargingstation_footer_copyright_align',array(
        'type' => 'select',
        'label' => __('Copyright Alignment','chargingstation'),
        'choices' => array (
            'Center' => __('Center','chargingstation'),
            'Left' => __('Left','chargingstation'),
            'Right' => __('Right','chargingstation')
        ),
        'section' => 'chargingstation_footer_setting',
    ));

    $wp_customize->add_setting('chargingstation_footer_termcondition_align',array(
        'default' => 'Left',
        'sanitize_callback' => 'chargingstation_sanitize_choices',
    ));
    $wp_customize->add_control('chargingstation_footer_termcondition_align',array(
        'type' => 'select',
        'label' => __('Terms Alignment','chargingstation'),
        'choices' => array (
            'Center' => __('Center','chargingstation'),
            'Left' => __('Left','chargingstation'),
            'Right' => __('Right','chargingstation')
        ),
        'section' => 'chargingstation_footer_setting',
    ));

addColorPalatOption($wp_customize, 'chargingstation_footer_heading_color', 'chargingstation_footer_setting', 'Heading color', '');

addColorPalatOption($wp_customize, 'chargingstation_footer_text_color', 'chargingstation_footer_setting', 'Text color ', '');

addColorPalatOption($wp_customize, 'chargingstation_footer_icon_color', 'chargingstation_footer_setting', 'Icon color', '');

addColorPalatOption($wp_customize, 'chargingstation_footer_sicon_color', 'chargingstation_footer_setting', 'Social icon color', '');
addColorPalatOption($wp_customize, 'chargingstation_footer_siconhover_color', 'chargingstation_footer_setting', 'Social icon hover color', '');
addColorPalatOption($wp_customize, 'chargingstation_footer_siconbg_color', 'chargingstation_footer_setting', 'Social icon Background color', '');

addColorPalatOption($wp_customize, 'chargingstation_footer_hglightsctext_color', 'chargingstation_footer_setting', 'Highlight text color', '');

addColorPalatOption($wp_customize, 'chargingstation_footer_menu_color', 'chargingstation_footer_setting', 'Menu color ', '');

addColorPalatOption($wp_customize, 'chargingstation_footer_menuhover_color', 'chargingstation_footer_setting', 'Menu hover color ', '');
addColorPalatOption($wp_customize, 'chargingstation_footer_activemenu_color', 'chargingstation_footer_setting', 'Active Menu color ', '');
addColorPalatOption($wp_customize, 'chargingstation_footer_datext_color', 'chargingstation_footer_setting', 'Date color ', '');

addColorPalatOption($wp_customize, 'chargingstation_footer_tableborder_color', 'chargingstation_footer_setting', 'Border color ', '');
addColorPalatOption($wp_customize, 'chargingstation_footer_formtext_color', 'chargingstation_footer_setting', 'Form text color ', '');

addColorPalatOption($wp_customize, 'chargingstation_footer_formtextlabel_color', 'chargingstation_footer_setting', 'Form Label color ', '');
addColorPalatOption($wp_customize, 'chargingstation_footer_formbuttontext_color', 'chargingstation_footer_setting', 'Button text color ', '');
addColorPalatOption($wp_customize, 'chargingstation_footerbutton_border_color', 'chargingstation_footer_setting', 'Button border color ', '');
addColorPalatOption($wp_customize, 'chargingstation_footer_otherfbgs_color', 'chargingstation_footer_setting', 'Other background color ', '');

addColorPalatOption($wp_customize, 'chargingstation_footer_copyrighttext_color', 'chargingstation_footer_setting', 'Bottom footer text color ', '');

    $wp_customize->add_setting('chargingstation_footer_padding',array(
      'sanitize_callback'   => 'esc_html'
   ));
   $wp_customize->add_control('chargingstation_footer_padding',array(
      'label' => __('Top Footer Padding','chargingstation'),
      'section' => 'chargingstation_footer_setting'
   ));


    $wp_customize->add_setting('chargingstation_footer_section_top_t_padding',array(
        'default' => '3',
        'sanitize_callback' => 'sanitize_text_field'
    ));
    $wp_customize->add_control('chargingstation_footer_section_top_t_padding',array(
    'type' => 'number',
    'label' => __('Top','chargingstation'),
    'section' => 'chargingstation_footer_setting',
    ));
     $wp_customize->add_setting('chargingstation_footer_section_top_b_padding',array(
        'default' => '1',
        'sanitize_callback' => 'sanitize_text_field'
    ));
    $wp_customize->add_control('chargingstation_footer_section_top_b_padding',array(
    'type' => 'number',
    'label' => __('Bottom','chargingstation'),
    'section' => 'chargingstation_footer_setting',
    ));


    $wp_customize->add_setting('chargingstation_footer_padding1',array(
      'sanitize_callback'   => 'esc_html'
   ));
   $wp_customize->add_control('chargingstation_footer_padding1',array(
      'label' => __('Bottom Footer Padding','chargingstation'),
      'section' => 'chargingstation_footer_setting'
   ));


    $wp_customize->add_setting('chargingstation_footer_section_bottom_t_padding',array(
        'default' => '0',
        'sanitize_callback' => 'sanitize_text_field'
    ));
    $wp_customize->add_control('chargingstation_footer_section_bottom_t_padding',array(
    'type' => 'number',
    'label' => __('Top','chargingstation'),
    'section' => 'chargingstation_footer_setting',
    ));
     $wp_customize->add_setting('chargingstation_footer_section_bottom_b_padding',array(
        'default' => '3',
        'sanitize_callback' => 'sanitize_text_field'
    ));
    $wp_customize->add_control('chargingstation_footer_section_bottom_b_padding',array(
    'type' => 'number',
    'label' => __('Bottom','chargingstation'),
    'section' => 'chargingstation_footer_setting',
    ));


    $wp_customize->add_setting('chargingstation_footer_section_width',array(
        'default' => 'Box Width',
        'sanitize_callback' => 'chargingstation_sanitize_choices',
    ));
    $wp_customize->add_control('chargingstation_footer_section_width',array(
        'type' => 'select',
        'label' => __('Section Width','chargingstation'),
        'choices' => array (
            'Box Width' => __('Box Width','chargingstation'),
            'Full Width' => __('Full Width','chargingstation')
        ),
        'section' => 'chargingstation_footer_setting',
    ));
?>