<?php 
$wp_customize->add_section( 'title_tagline', array(
    'title' => __( 'Logo Settings', 'chargingstation Premium' ),
     'priority' => null,
    'panel' => 'chargingstation_header_panel2',
) );


$wp_customize->add_setting('chargingstation_reset_logosetting_settings',array(
  'sanitize_callback'   => 'sanitize_text_field'
));
$wp_customize->add_control(new chargingstation_Reset_Custom_Control($wp_customize, 'chargingstation_reset_logosetting_settings',array(
  'type' => 'reset_control',
   'priority' => 1,
  'label' => __('Reset Logo Settings', 'chargingstation'),
  'description' => 'chargingstation_logosetting_reset_settings',
  'section' => 'title_tagline'
)));

$wp_customize->add_setting('chargingstation_logosetting_nav', array(
       'sanitize_callback' => 'wp_kses_post',
    ));


    $wp_customize->add_control(new chargingstation_Tab_Control($wp_customize, 'chargingstation_logosetting_nav', array(
       'section' => 'title_tagline',
       'priority' => 1,
       'buttons' => array(
          array(
             'name' => esc_html__('General', 'chargingstation-premium'),
            'icon' => 'dashicons dashicons-welcome-write-blog',
            'fields' => array(
                'custom_logo',
                'blogname',
                'blogdescription',
                'site_icon',
                'chargingstation_show_site_title',
               'chargingstation_show_tagline'               
            ),
            'active' => true,
         ),
          array(
            'name' => esc_html__('Layout', 'chargingstation-premium'),
            'icon' => 'dashicons dashicons-art',
            'fields' => array(
                'chargingstation_logo_size',
               'chargingstation_logo_height',
               'chargingstation_logo_margin',
               'chargingstation_logo_top_margin',
               'chargingstation_logo_bottom_margin',
               'chargingstation_logo_left_margin',
               'chargingstation_logo_right_margin'
            ),
         )
        ),
    )));

    $wp_customize->add_setting( 'chargingstation_show_site_title',array(
        'default' => true,
        'sanitize_callback' => 'chargingstation_switch_sanitization'
   ) );
   $wp_customize->add_control( new chargingstation_Toggle_Switch_Custom_Control( $wp_customize, 'chargingstation_show_site_title',array(
        'label' => __( 'Site Title','chargingstation' ),
        'section' => 'title_tagline'
   )));

    $wp_customize->add_setting( 'chargingstation_show_tagline',array(
        'default' => true,
        'sanitize_callback' => 'chargingstation_switch_sanitization'
   ) );
   $wp_customize->add_control( new chargingstation_Toggle_Switch_Custom_Control( $wp_customize, 'chargingstation_show_tagline',array(
        'label' => __( 'Site Tagline','chargingstation' ),
        'section' => 'title_tagline'
   )));

    $wp_customize->add_setting('chargingstation_logo_size',array(
        'default' => '',
        'sanitize_callback' => 'sanitize_text_field'
    ));
    $wp_customize->add_control(new chargingstation_Custom_Control( $wp_customize, 'chargingstation_logo_size',array(
    'label' => __('Logo Width','chargingstation'),
    'section' => 'title_tagline',
    'input_attrs' => array(
            'min' => 0,
            'max' => 100,
            'step' => 1,
        ),
    )));

    $wp_customize->add_setting('chargingstation_logo_height',array(
        'default' => '',
        'sanitize_callback' => 'sanitize_text_field'
    ));
    $wp_customize->add_control(new chargingstation_Custom_Control( $wp_customize, 'chargingstation_logo_height',array(
    'label' => __('Logo Height','chargingstation'),
    'section' => 'title_tagline',
    'input_attrs' => array(
            'min' => 0,
            'max' => 150,
            'step' => 1,
        ),
    )));


    $wp_customize->add_setting('chargingstation_logo_margin',array(
      'sanitize_callback'   => 'esc_html'
   ));
   $wp_customize->add_control('chargingstation_logo_margin',array(
      'label' => __('Logo Padding','chargingstation'),
      'section' => 'title_tagline'
   ));

$wp_customize->add_setting('chargingstation_logo_top_margin',array(
        'default' => '0',
        'sanitize_callback' => 'sanitize_text_field'
    ));
    $wp_customize->add_control('chargingstation_logo_top_margin',array(
    'type' => 'number',
    'label' => __('Top','chargingstation'),
    'section' => 'title_tagline',
    ));

    $wp_customize->add_setting('chargingstation_logo_bottom_margin',array(
        'default' => '0',
        'sanitize_callback' => 'sanitize_text_field'
    ));
    $wp_customize->add_control('chargingstation_logo_bottom_margin',array(
    'type' => 'number',
    'label' => __('Bottom','chargingstation'),
    'section' => 'title_tagline',
    ));

    $wp_customize->add_setting('chargingstation_logo_left_margin',array(
        'default' => '0',
        'sanitize_callback' => 'sanitize_text_field'
    ));
    $wp_customize->add_control('chargingstation_logo_left_margin',array(
    'type' => 'number',
    'label' => __('Left','chargingstation'),
    'section' => 'title_tagline',
    ));

    $wp_customize->add_setting('chargingstation_logo_right_margin',array(
        'default' => '0',
        'sanitize_callback' => 'sanitize_text_field'
    ));
    $wp_customize->add_control('chargingstation_logo_right_margin',array(
    'type' => 'number',
    'label' => __('Right','chargingstation'),
    'section' => 'title_tagline',
    ));
?>