<?php 
$wp_customize->add_section(
    'chargingstation_service_section',
    array(
        'title'   => __( 'Services', 'chargingstation' ),
        'panel'   => 'chargingstation_premium_home_panel1',
        'priority' =>19
    )
);

$wp_customize->add_setting('chargingstation_reset_service_settings',array(
  'sanitize_callback'   => 'sanitize_text_field'
));
$wp_customize->add_control(new chargingstation_Reset_Custom_Control($wp_customize, 'chargingstation_reset_service_settings',array(
  'type' => 'reset_control',
   'priority' => 1,
  'label' => __('Reset Service Section Settings', 'chargingstation'),
  'description' => 'chargingstation_services_reset_settings',
  'section' => 'chargingstation_service_section'
)));

$wp_customize->add_setting('chargingstation_Services_nav', array(
       'sanitize_callback' => 'wp_kses_post',
    ));

    $wp_customize->add_control(new chargingstation_Tab_Control($wp_customize, 'chargingstation_Services_nav', array(
       'section' => 'chargingstation_service_section',
       'priority' => 1,
       'buttons' => array(
          array(
             'name' => esc_html__('General', 'chargingstation-premium'),
            'icon' => 'dashicons dashicons-welcome-write-blog',
            'fields' => array(
                'chargingstation_service_enable', 
                'chargingstation_services_maintitle',
                'chargingstation_services_subtitle',
                'chargingstation_service_head_icon_enable',
                'chargingstation_service_head_icon',  
                'chargingstation_service_area_lbl',
                'chargingstation_service_section_lbl', 
                'chargingstation_service_number', 
                'chargingstation_service_heading1',
                'chargingstation_service_heading2',
                'chargingstation_service_heading3',
                'chargingstation_service_heading4',
                'chargingstation_service_heading5',
                'chargingstation_service_heading6',
                'chargingstation_service_heading7',
                'chargingstation_service_heading8',
                'chargingstation_service_heading9',
                'chargingstation_service_heading10',
                'chargingstation_service_heading11',
                'chargingstation_service_heading12',
                'chargingstation_service_page1',
                'chargingstation_service_page2',
                'chargingstation_service_page3',
                'chargingstation_service_page4',
                'chargingstation_service_page5',
                'chargingstation_service_page6',
                'chargingstation_service_page7',
                'chargingstation_service_page8',
                'chargingstation_service_page9',
                'chargingstation_service_page10',
                'chargingstation_service_page11',
                'chargingstation_service_page12',
                'chargingstation_service_icon_enable',
                'chargingstation_service_excerpt_enable'
            ),
            'active' => true,
         ),
          array(
            'name' => esc_html__('Style', 'chargingstation-premium'),
            'icon' => 'dashicons dashicons-art',
            'fields' => array(
                'chargingstation_service_section_bg_color',
                'chargingstation_service_section_bg_image',
                'chargingstation_service_image_opacity',  
                'chargingstation_services_imghover_color',      
                'chargingstation_service_box_onload_effects',
                'chargingstation_service_title_case',
                'chargingstation_services_head_align',
                'chargingstation_services_content_align',
                'chargingstation_services_overlay_color1',
                'chargingstation_services_heading_color1',
                'chargingstation_services_subheading_color',
                 'chargingstation_services_title_color1',
                'chargingstation_services_text_color',
                'chargingstation_services_btntext_color1',
                'chargingstation_services_btntextbg_color',
                'chargingstation_services_btntexthoverbg_color',
                'chargingstation_services_btntexthoverborder_color'
            ),
         ),
          array(
            'name' => esc_html__('Layout', 'chargingstation-premium'),
            'icon' => 'dashicons dashicons-layout',
            'fields' => array(
                'chargingstation_service_padding',                
                'chargingstation_service_top_padding',
                'chargingstation_service_bottom_padding',                 
                 'chargingstation_service_section_width',                
                'chargingstation_services_post_image_height',                
                'chargingstation_services_post_excerpt'
            ),
         )
        ),
    )));

$wp_customize->add_setting( 'chargingstation_service_enable',array(
    'default' => true,
    'sanitize_callback' => 'chargingstation_switch_sanitization'
) );
$wp_customize->add_control( new chargingstation_Toggle_Switch_Custom_Control( $wp_customize, 'chargingstation_service_enable',array(
    'label' => __( 'Disable Section','chargingstation' ),
    'section' => 'chargingstation_service_section'
)));

$wp_customize->add_setting(
    'chargingstation_services_maintitle',
    array(
        'sanitize_callback' => 'chargingstation_sanitize_text',
        'default'           => __( 'We <span>Provide</span>', 'chargingstation' )
    )
);
$wp_customize->add_control(
    'chargingstation_services_maintitle',
    array(
        'settings'      => 'chargingstation_services_maintitle',
        'section'       => 'chargingstation_service_section', 
        'type'          => 'text',
        'label'         => __( 'Section Heading', 'chargingstation' )
    )
);

$wp_customize->add_setting('chargingstation_service_head_icon_enable',array(
        'default' => 'No',
        'sanitize_callback' => 'chargingstation_sanitize_choices',
    ));
    $wp_customize->add_control('chargingstation_service_head_icon_enable',array(
        'type' => 'radio',
        'label' => __('Heading Icon Display','chargingstation'),
        'choices' => array (
            'No' => __('No','chargingstation'),
            'Yes' => __('Yes','chargingstation')        
        ),
        'section' => 'chargingstation_service_section'
    ));
 $wp_customize->add_setting(
        'chargingstation_service_head_icon',
        array(
            'default'           => 'fa fa-bell',
            'sanitize_callback' => 'chargingstation_sanitize_text'
        )
    );        
    $wp_customize->add_control(
        new chargingstation_Fontawesome_Icon_Chooser(
            $wp_customize,
            'chargingstation_service_head_icon',
            array(
                // 'settings'      => 'chargingstation_service_head_icon',
                'section'       => 'chargingstation_service_section',
                'type'          => 'icon',
                'label'         => __( 'FontAwesome Icon', 'chargingstation-premium' ),
                'active_callback' => 'chargingstation_service_type_icon'
            )
        )
    );


$wp_customize->add_setting(
    'chargingstation_services_subtitle',
    array(
        'sanitize_callback' => 'chargingstation_sanitize_text',
        'default'           => __( 'Lorem ipsum dolor sit amet, consectetur adipiscing elit, sed do eiusmod tempor incididunt Lorem ipsum dolor sit amet, consectetur adipiscing elit, sed do eiusmod', 'chargingstation' )
    )
);
$wp_customize->add_control(
    'chargingstation_services_subtitle',
    array(
        'settings'      => 'chargingstation_services_subtitle',
        'section'       => 'chargingstation_service_section', 
        'type'          => 'textarea',
        'label'         => __( 'Section Sub Heading', 'chargingstation' )
    )
);

$ServicesSingleChoice[] = 'select';
if(!is_array($ServicesSingleChoice)){
    $wp_customize->add_setting('chargingstation_service_area_lbl', array('sanitize_callback'=>'chargingstation_sanitize_text'));
    $wp_customize->add_control(
        new chargingstation_Info_Text( 
            $wp_customize,
            'chargingstation_service_area_lbl',
            array(
                'settings'      => 'chargingstation_service_area_lbl',
                'section'       => 'chargingstation_service_section',
                'label'         => __( 'Note:', 'chargingstation Premium' ), 
                'description'   => __( '<strong>Changes will not reflect unless you select the service.</strong> <br/>Please add the service from "service menu" and then select Testimonial to show information.', 'chargingstation Premium' ),
            )
        )
    );
}
$wp_customize->add_setting('chargingstation_service_section_lbl', array('sanitize_callback'=>'chargingstation_sanitize_text'));
$wp_customize->add_control(
    new chargingstation_Info_Text( 
        $wp_customize,
        'chargingstation_service_section_lbl',
        array(
            'settings'      => 'chargingstation_service_section_lbl',
            'section'       => 'chargingstation_service_section',
            'label'         => __( 'Note:', 'chargingstation Premium' ), 
            'description'   => __( 'Just place the shortcode "[SERVICES]" in your page to list the service in a page ', 'chargingstation Premium' ),
        )
    )
);

$wp_customize->add_setting('chargingstation_service_number',array('sanitize_callback' => 'chargingstation_sanitize_text','default' => 2));
$wp_customize->add_control(
    'chargingstation_service_number',
    array(
        'settings'      => 'chargingstation_service_number',
        'section'       => 'chargingstation_service_section',
        'type'          => 'select',
        'label'         => __( 'Number of service to show', 'chargingstation-premium' ),
        'choices'=>array(1,2,3,4,5,6,7,8,9,10,11,12)
    )
);

//service PAGES
for( $i = 1; $i<= 12; $i++ ){
    $wp_customize->add_setting(
        'chargingstation_service_heading'.$i,
        array(
            'sanitize_callback' => 'chargingstation_sanitize_text'
        )
    );
    $wp_customize->add_control(
        new chargingstation_Customize_Heading(
            $wp_customize,
            'chargingstation_service_heading'.$i,
            array(
                'settings'      => 'chargingstation_service_heading'.$i,
                'section'       => 'chargingstation_service_section',
                'label'         => __( 'Service', 'chargingstation Premium' ).$i,
            )
        )
    );
    $wp_customize->add_setting(
        'chargingstation_service_page'.$i,
        array(
            'sanitize_callback' => 'absint'
        )
    );
    $wp_customize->add_control(
        'chargingstation_service_page'.$i,
        array(
            'settings'      => 'chargingstation_service_page'.$i,
            'section'       => 'chargingstation_service_section',
            'type'=> 'select',
            'label'         => __( 'Select Service', 'chargingstation Premium' ),
            'choices' => $ServicesSingleChoice,
        )
    );

}

$wp_customize->add_setting( 'chargingstation_service_excerpt_enable',array(
    'default' => false,
    'sanitize_callback' => 'chargingstation_switch_sanitization'
) );
$wp_customize->add_control( new chargingstation_Toggle_Switch_Custom_Control( $wp_customize, 'chargingstation_service_excerpt_enable',array(
    'label' => __( 'Excerpt Display','chargingstation' ),
    'section' => 'chargingstation_service_section'
)));


  $wp_customize->add_setting( 'chargingstation_service_section_bg_color', array(
       'default' => '',
       'sanitize_callback' => 'sanitize_hex_color'
    ));
    $wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'chargingstation_service_section_bg_color', array(
        'label' => __('Section Background Color','chargingstation'),
       'section' => 'chargingstation_service_section',
    )));

    $wp_customize->add_setting( 'chargingstation_service_section_bg_image', array(
       'default' => '',
       'sanitize_callback' => 'esc_url_raw'
    ));
    $wp_customize->add_control( new WP_Customize_Image_Control( $wp_customize, 'chargingstation_service_section_bg_image', array(
        'label' => __('Section Background Image','chargingstation'),
       'section' => 'chargingstation_service_section',
    )));


 $wp_customize->add_setting('chargingstation_service_image_opacity',array(
        'default' => 1,
        'sanitize_callback' => 'chargingstation_sanitize_float'
    ));
    $wp_customize->add_control(new chargingstation_Custom_Control( $wp_customize, 'chargingstation_service_image_opacity',array(
    'label' => __('Background Opacity','chargingstation'),
    'section' => 'chargingstation_service_section',
    'input_attrs' => array(
            'min' => 0,
            'max' => 1,
            'step' => 0.1,
        ),
    )));

 $wp_customize->add_setting('chargingstation_service_box_onload_effects',array(
        'default' => 'wow zoomIn',
        'sanitize_callback' => 'chargingstation_sanitize_choices',
    ));
    $wp_customize->add_control('chargingstation_service_box_onload_effects',array(
        'type' => 'select',
        'label' => __('Box Onload Transition Effects','chargingstation'),
        'choices' => array (
            'wow bounceInLeft' => __('Bounce In Left','chargingstation'),
            'wow bounceInRight' => __('Bounce In Right','chargingstation'),
            'wow bounceInUp' => __('Bounce In Up','chargingstation'),
            'wow bounceInDown' => __('Bounce In Down','chargingstation'),
            'wow zoomIn' => __('Zoom In','chargingstation'),
            'wow zoomOut' => __('Zoom Out','chargingstation'),
            'wow fadeInDown' => __('Fade In Down','chargingstation'),            
            'wow fadeInUp' => __('Fade In Up','chargingstation'),
            'wow fadeInLeft' => __('Fade In Left','chargingstation'),
            'wow fadeInRight' => __('Fade In Right','chargingstation'),
            'flip-up' => __('Flip Up','chargingstation')
        ),
        'section' => 'chargingstation_service_section',
    ));

    $wp_customize->add_setting('chargingstation_services_head_align',array(
        'default' => 'Center',
        'sanitize_callback' => 'chargingstation_sanitize_choices',
    ));
    $wp_customize->add_control('chargingstation_services_head_align',array(
        'type' => 'select',
        'label' => __('Section Head Alignment','chargingstation'),
        'choices' => array (
            'Center' => __('Center','chargingstation'),
            'Left' => __('Left','chargingstation'),
            'Right' => __('Right','chargingstation')
        ),
        'section' => 'chargingstation_service_section',
    ));

    $wp_customize->add_setting('chargingstation_services_content_align',array(
        'default' => 'Center',
        'sanitize_callback' => 'chargingstation_sanitize_choices',
    ));
    $wp_customize->add_control('chargingstation_services_content_align',array(
        'type' => 'select',
        'label' => __('Content Box Alignment','chargingstation'),
        'choices' => array (
            'Center' => __('Center','chargingstation'),
            'Left' => __('Left','chargingstation'),
            'Right' => __('Right','chargingstation')
        ),
        'section' => 'chargingstation_service_section',
    ));

     $wp_customize->add_setting('chargingstation_service_title_case',array(
        'default' => 'Uppercase',
        'sanitize_callback' => 'chargingstation_sanitize_choices',
    ));
    $wp_customize->add_control('chargingstation_service_title_case',array(
        'type' => 'select',
        'label' => __('Services Title Case','chargingstation'),
        'choices' => array (
            'Uppercase' => __('Uppercase','chargingstation'),
            'Lowercase' => __('Lowercase','chargingstation'),
            'Capitalize' => __('Capitalize','chargingstation'),
            'None' => __('None','chargingstation')
        ),
        'section' => 'chargingstation_service_section',
    ));


addColorPalatOption($wp_customize, 'chargingstation_services_heading_color1', 'chargingstation_service_section', 'Heading color', '');
addColorPalatOption($wp_customize, 'chargingstation_services_subheading_color', 'chargingstation_service_section', 'Subheading color ', '');

addColorPalatOption($wp_customize, 'chargingstation_services_overlay_color1', 'chargingstation_service_section', 'Box Overlay color', '');


addColorPalatOption($wp_customize, 'chargingstation_services_title_color1', 'chargingstation_service_section', 'Title color', '');

 $wp_customize->add_setting('chargingstation_service_padding',array(
      'sanitize_callback'   => 'esc_html'
   ));
   $wp_customize->add_control('chargingstation_service_padding',array(
      'label' => __('Section Padding','chargingstation'),
      'section' => 'chargingstation_service_section'
   ));

    $wp_customize->add_setting('chargingstation_service_top_padding',array(
        'default' => '5',
        'sanitize_callback' => 'sanitize_text_field'
    ));
    $wp_customize->add_control('chargingstation_service_top_padding',array(
    'type' => 'number',
    'label' => __('Top','chargingstation'),
    'section' => 'chargingstation_service_section',
    ));
     $wp_customize->add_setting('chargingstation_service_bottom_padding',array(
        'default' => '4',
        'sanitize_callback' => 'sanitize_text_field'
    ));
    $wp_customize->add_control('chargingstation_service_bottom_padding',array(
    'type' => 'number',
    'label' => __('Bottom','chargingstation'),
    'section' => 'chargingstation_service_section',
    ));


  $wp_customize->add_setting('chargingstation_service_section_width',array(
        'default' => 'Box Width',
        'sanitize_callback' => 'chargingstation_sanitize_choices',
    ));
    $wp_customize->add_control('chargingstation_service_section_width',array(
        'type' => 'select',
        'label' => __('Section Width','chargingstation'),
        'choices' => array (
            'Box Width' => __('Box Width','chargingstation'),
            'Full Width' => __('Full Width','chargingstation')
        ),
        'section' => 'chargingstation_service_section',
    ));


// backgroundManager($wp_customize, 'services', 'chargingstation_service_section', $color='#fff', get_template_directory_uri().'/images/default-gray.png', 'img');

$wp_customize->add_setting('chargingstation_services_post_image_height',array(
        'default' => 340,
        'sanitize_callback' => 'chargingstation_sanitize_integer'
    ));
    $wp_customize->add_control(new chargingstation_Custom_Control( $wp_customize, 'chargingstation_services_post_image_height',array(
    'label' => __('Image Height','chargingstation'),
    'section' => 'chargingstation_service_section',
    'input_attrs' => array(
            'min' => 0,
            'max' => 500,
            'step' => 1,
        ),
    )));

    $wp_customize->add_setting('chargingstation_services_post_excerpt',array(
        'default' => 10,
        'sanitize_callback' => 'chargingstation_sanitize_integer'
    ));
    $wp_customize->add_control(new chargingstation_Custom_Control( $wp_customize, 'chargingstation_services_post_excerpt',array(
    'label' => __('Excerpt Length','chargingstation'),
    'section' => 'chargingstation_service_section',
    'input_attrs' => array(
            'min' => 0,
            'max' => 100,
            'step' => 1,
        ),
    )));
?>