<?php  
//$chargingstationSliderSingleChoice = getchargingstationPostsType('slider');
$wp_customize->add_section(
    'chargingstation_slider_section',
    array(
        'title' => __( 'Slider', 'chargingstation' ),
        'panel' => 'chargingstation_premium_home_panel1',
        'priority' =>18
    )
);

$wp_customize->add_setting('chargingstation_reset_slider_settings',array(
  'sanitize_callback'   => 'sanitize_text_field'
));
$wp_customize->add_control(new chargingstation_Reset_Custom_Control($wp_customize, 'chargingstation_reset_slider_settings',array(
  'type' => 'reset_control',
   'priority' => 1,
  'label' => __('Reset slider Section Settings', 'chargingstation'),
  'description' => 'chargingstation_slider_reset_settings',
  'section' => 'chargingstation_slider_section'
)));

$wp_customize->add_setting('chargingstation_slider_nav', array(
       'sanitize_callback' => 'wp_kses_post',
    ));

    $wp_customize->add_control(new chargingstation_Tab_Control($wp_customize, 'chargingstation_slider_nav', array(
       'section' => 'chargingstation_slider_section',
       'priority' => 1,
       'buttons' => array(
          array(
             'name' => esc_html__('General', 'chargingstation-premium'),
            'icon' => 'dashicons dashicons-welcome-write-blog',
            'fields' => array(
                'slider_section_show_content',
                'chargingstation_slider_image_opacity'
            ),
            'active' => true,
         ),
          array(
            'name' => esc_html__('Style', 'chargingstation-premium'),
            'icon' => 'dashicons dashicons-art',
            'fields' => array(
                'chargingstation_slider_heading1_color',
                'chargingstation_slider_heading2_color',
                'chargingstation_slider_text_color',
                'chargingstation_slider_buttontext_color1',  
                'chargingstation_slider_buttonbg_color1', 
                'chargingstation_slider_buttonborder_color1',      
                'chargingstation_slider_buttontext_color2',
                'chargingstation_slider_buttonbg_color2',
                'chargingstation_slider_buttonborder_color2',
                'chargingstation_slider_indicatortext_color',
                'chargingstation_slider_indicatortexthover_color',
                'chargingstation_slider_overlay1_color',
                'chargingstation_slider_overlay2_color'        
            ),
         ),
          array(
            'name' => esc_html__('Layout', 'chargingstation-premium'),
            'icon' => 'dashicons dashicons-layout',
            'fields' => array(
                'chargingstation_slider_section_width'
            ),
         )
        ),
    )));

$wp_customize->add_setting(
    'slider_section_show_content',
    array(
        'sanitize_callback' => 'chargingstation_sanitize_text',
    )
);
$wp_customize->add_control(
    new chargingstation_Switch_Control(
        $wp_customize,
        'slider_section_show_content',
        array(
            'settings'      => 'slider_section_show_content',
            'section'       => 'chargingstation_slider_section',
            'label'         => __( 'Hide Title and description on Slider', 'Luzuk' ),
            'on_off_label'  => array(
                'on' => __( 'Yes', 'Luzuk' ),
                'off' => __( 'No', 'Luzuk' )
            ),
        )
    )
);

    $wp_customize->add_setting('chargingstation_slider_image_opacity',array(
        'default' => 0.7,
        'sanitize_callback' => 'chargingstation_sanitize_float'
    ));
    $wp_customize->add_control(new chargingstation_Custom_Control( $wp_customize, 'chargingstation_slider_image_opacity',array(
    'label' => __('Slider Image Opacity','chargingstation'),
    'section' => 'chargingstation_slider_section',
    'input_attrs' => array(
            'min' => 0,
            'max' => 1,
            'step' => 0.1,
        ),
    )));


    $wp_customize->add_setting('chargingstation_slider_section_width',array(
        'default' => 'Full Width',
        'sanitize_callback' => 'chargingstation_sanitize_choices',
    ));
    $wp_customize->add_control('chargingstation_slider_section_width',array(
        'type' => 'select',
        'label' => __('Section Width','chargingstation'),
        'choices' => array (
            'Box Width' => __('Box Width','chargingstation'),
            'Full Width' => __('Full Width','chargingstation')
        ),
        'section' => 'chargingstation_slider_section',
    ));


addColorPalatOption($wp_customize, 'chargingstation_slider_heading1_color', 'chargingstation_slider_section', 'Heading color', '');
addColorPalatOption($wp_customize, 'chargingstation_slider_heading2_color', 'chargingstation_slider_section', 'Heading color', '');
addColorPalatOption($wp_customize, 'chargingstation_slider_text_color', 'chargingstation_slider_section', 'Text color', '');
addColorPalatOption($wp_customize, 'chargingstation_slider_buttontext_color1', 'chargingstation_slider_section', 'First Button Text color', '');
addColorPalatOption($wp_customize, 'chargingstation_slider_buttonbg_color1', 'chargingstation_slider_section', 'First Button Background color', '');
addColorPalatOption($wp_customize, 'chargingstation_slider_buttontext_color2', 'chargingstation_slider_section', 'Second Button Text color', '');
addColorPalatOption($wp_customize, 'chargingstation_slider_buttonbg_color2', 'chargingstation_slider_section', 'Second Button Background color', '');
addColorPalatOption($wp_customize, 'chargingstation_slider_indicatortext_color', 'chargingstation_slider_section', 'Indicator color', '');
addColorPalatOption($wp_customize, 'chargingstation_slider_indicatortexthover_color', 'chargingstation_slider_section', 'Indicator Hover color', '');
addColorPalatOption($wp_customize, 'chargingstation_slider_overlay1_color', 'chargingstation_slider_section', 'Content background & border color', '');
addColorPalatOption($wp_customize, 'chargingstation_slider_overlay2_color', 'chargingstation_slider_section', 'Content background  & border color', '');
 ?>