<?php 
  $lvl2ParentPanel3 = new chargingstation_WP_Customize_Panel( $wp_customize, 'chargingstation_header_panel3', array(
    'title' => 'Pages',
    'panel' => 'chargingstation_header_panel1',
    'priority' => 2,
  ));

  $wp_customize->add_panel( $lvl2ParentPanel3 );


  // Add example section and controls to the final (third) panel
  $wp_customize->add_section( 'chargingstation_section', array(
    'title' => 'Section Test single',
    'panel' => 'chargingstation_header_panel3',
  ));

//Bottom Header
    $wp_customize->add_section( 'chargingstation_single_post' , array(
        'title'    => __( 'Single Post', 'chargingstation-premium' ),
        'priority' => null,
        'panel' => 'chargingstation_header_panel3'
    ) );

    $wp_customize->add_setting('chargingstation_reset_single_post_settings',array(
  'sanitize_callback'   => 'sanitize_text_field'
));
$wp_customize->add_control(new chargingstation_Reset_Custom_Control($wp_customize, 'chargingstation_reset_single_post_settings',array(
  'type' => 'reset_control',
   'priority' => 1,
  'label' => __('Reset Single Post Settings', 'chargingstation'),
  'description' => 'chargingstation_single_post_reset_settings',
  'section' => 'chargingstation_single_post'
)));

    $wp_customize->add_setting('chargingstation_singleeblog_nav', array(
       'sanitize_callback' => 'wp_kses_post',
    ));

    $wp_customize->add_control(new chargingstation_Tab_Control($wp_customize, 'chargingstation_singleeblog_nav', array(
       'section' => 'chargingstation_single_post',
       'priority' => 1,
       'buttons' => array(
          array(
             'name' => esc_html__('General', 'chargingstation-premium'),
            'icon' => 'dashicons dashicons-welcome-write-blog',
            'fields' => array(
                'featured_img_on_off',
                'chargingstation__blogspost_layout',
                'chargingstation_single_post_image_height',
                'chargingstation_single_show_author',
                'chargingstation_single_show_date',
                'chargingstation_single_show_time',
                'chargingstation_single_show_category',
                'chargingstation_single_show_comments',
                'chargingstation_single_show_tags',
                'single_blog_socials_on_off'
            ),
            'active' => true,
         ),
          array(
            'name' => esc_html__('Style', 'chargingstation-premium'),
            'icon' => 'dashicons dashicons-art',
            'fields' => array(                
                'chargingstation_singleblogpage_title_color',
                'chargingstation_singleblogpage_metatext_color',
                'chargingstation_singleblogpage_contenttext_color',
                'chargingstation_singleblogpage_button_color',
                'chargingstation_singleblogpage_buttonhover_color',
                'chargingstation_singleblogpage_buttonbg_color',
                'chargingstation_singleblogpage_buttonbghover_color',
                'chargingstation_singleblogpage_socialicon_color',
                'chargingstation_singleblogpage_socialiconhover_color',
                'chargingstation_singleblogpage_metaicon_color'
            ),
         )
        ),
    )));


$wp_customize->add_setting(
    'featured_img_on_off',
    array(
        'sanitize_callback' => 'chargingstation_sanitize_text',
    )
);
$wp_customize->add_control(
    new chargingstation_Switch_Control(
        $wp_customize,
        'featured_img_on_off',
        array(
            'settings'      => 'featured_img_on_off',
            'section'       => 'chargingstation_single_post',
            'label'         => __( 'Show Featured Image', 'chargingstation-premium' ),
            'on_off_label'  => array(
                'on' => __( 'Yes', 'chargingstation-premium' ),
                'off' => __( 'No', 'chargingstation-premium' )
            ),
        )
    )
);

     $wp_customize->add_setting('chargingstation_single_post_image_height',array(
        'default' => 330,
        'sanitize_callback' => 'chargingstation_sanitize_integer'
    ));
    $wp_customize->add_control(new chargingstation_Custom_Control( $wp_customize, 'chargingstation_single_post_image_height',array(
    'label' => __('Featured Image Height','chargingstation'),
    'section' => 'chargingstation_single_post',
    'input_attrs' => array(
            'min' => 0,
            'max' => 1000,
            'step' => 1,
        ),
    )));

//Blog Single Post Layout
$lzBlogSPostLayout = getBlogSPostLayout(true);

$wp_customize->add_setting(
   'chargingstation__blogspost_layout',
   array(
      'sanitize_callback'=> 'absint',
      'default' => '0'
   )
);
$wp_customize->add_control(
   new chargingstation_Font_Chooser(
      $wp_customize,
      'chargingstation__blogspost_layout',
      array(
         'settings'=> 'chargingstation__blogspost_layout',
         'section' => 'chargingstation_single_post',
         'label'=>__('Post Sidebar', 'chargingstation Premium'),
         'choices'=>$lzBlogSPostLayout
      )
   )
);

$wp_customize->add_setting('chargingstation_single_show_author',array(
  'default' => true,
  'sanitize_callback'   => 'chargingstation_sanitize_checkbox'
));
$wp_customize->add_control('chargingstation_single_show_author',array(
  'type' => 'checkbox',
  'label' => __('Show / Hide Author','chargingstation'),
  'section' => 'chargingstation_single_post'
));


$wp_customize->add_setting('chargingstation_single_show_date',array(
      'default' => true,
      'sanitize_callback'   => 'chargingstation_sanitize_checkbox'
   ));
   $wp_customize->add_control('chargingstation_single_show_date',array(
      'type' => 'checkbox',
      'label' => __('Show / Hide Date','chargingstation'),
      'section' => 'chargingstation_single_post'
   ));

$wp_customize->add_setting('chargingstation_single_show_time',array(
      'default' => true,
      'sanitize_callback'   => 'chargingstation_sanitize_checkbox'
   ));
   $wp_customize->add_control('chargingstation_single_show_time',array(
      'type' => 'checkbox',
      'label' => __('Show / Hide Time','chargingstation'),
      'section' => 'chargingstation_single_post'
   ));

$wp_customize->add_setting('chargingstation_single_show_category',array(
      'default' => true,
      'sanitize_callback'   => 'chargingstation_sanitize_checkbox'
   ));
   $wp_customize->add_control('chargingstation_single_show_category',array(
      'type' => 'checkbox',
      'label' => __('Show / Hide Category','chargingstation'),
      'section' => 'chargingstation_single_post'
   ));

    $wp_customize->add_setting('chargingstation_single_show_comments',array(
      'default' => true,
      'sanitize_callback'   => 'chargingstation_sanitize_checkbox'
   ));
   $wp_customize->add_control('chargingstation_single_show_comments',array(
      'type' => 'checkbox',
      'label' => __('Show / Hide Comments','chargingstation'),
      'section' => 'chargingstation_single_post'
   ));

      $wp_customize->add_setting('chargingstation_single_show_tags',array(
      'default' => true,
      'sanitize_callback'   => 'chargingstation_sanitize_checkbox'
   ));
   $wp_customize->add_control('chargingstation_single_show_tags',array(
      'type' => 'checkbox',
      'label' => __('Show / Hide Tags','chargingstation'),
      'section' => 'chargingstation_single_post'
   ));

$wp_customize->add_setting(
    'single_blog_socials_on_off',
    array(
        'sanitize_callback' => 'chargingstation_sanitize_text',
    )
);
$wp_customize->add_control(
    new chargingstation_Switch_Control(
        $wp_customize,
        'single_blog_socials_on_off',
        array(
            'settings'      => 'single_blog_socials_on_off',
            'section'       => 'chargingstation_single_post',
            'label'         => __( 'Socials', 'chargingstation-premium' ),
            'on_off_label'  => array(
                'on' => __( 'Yes', 'chargingstation-premium' ),
                'off' => __( 'No', 'chargingstation-premium' )
            ),
        )
    )
);

addColorPalatOption($wp_customize, 'chargingstation_singleblogpage_title_color', 'chargingstation_single_post', 'Title color', '');
addColorPalatOption($wp_customize, 'chargingstation_singleblogpage_metatext_color', 'chargingstation_single_post', 'Meta Text color', '');

addColorPalatOption($wp_customize, 'chargingstation_singleblogpage_metaicon_color', 'chargingstation_single_post', 'Meta Text Icon color', '');

addColorPalatOption($wp_customize, 'chargingstation_singleblogpage_contenttext_color', 'chargingstation_single_post', 'Content Text color', '');

addColorPalatOption($wp_customize, 'chargingstation_singleblogpage_button_color', 'chargingstation_single_post', 'Button color', '');
addColorPalatOption($wp_customize, 'chargingstation_singleblogpage_buttonhover_color', 'chargingstation_single_post', 'Button hover color', '');
addColorPalatOption($wp_customize, 'chargingstation_singleblogpage_buttonbg_color', 'chargingstation_single_post', 'Button background color', '');

addColorPalatOption($wp_customize, 'chargingstation_singleblogpage_buttonbghover_color', 'chargingstation_single_post', 'Button background hover color', '');

addColorPalatOption($wp_customize, 'chargingstation_singleblogpage_socialicon_color', 'chargingstation_single_post', 'Social Icon color', '');
addColorPalatOption($wp_customize, 'chargingstation_singleblogpage_socialiconhover_color', 'chargingstation_single_post', 'Social Icon hover color', '');
?>